org.apache.commons.compress.harmony.unpack200

## Class FileBands

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.BandSet
  - - org.apache.commons.compress.harmony.unpack200.FileBands

-     public class FileBands
      extends BandSet

  Parses the file band headers (not including the actual bits themselves). At the end of this parse call, the input stream will be positioned at the start of the file_bits themselves, and there will be Sum(file_size) bits remaining in the stream with BYTE1 compression. A decent implementation will probably just stream the bytes out to the reconstituted Jar rather than caching them.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

      `header, segment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileBands(Segment segment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[][]` | `getFileBits()`
    `int[]` | `getFileModtime()`
    `String[]` | `getFileName()`
    `int[]` | `getFileOptions()`
    `long[]` | `getFileSize()`
    `void` | `processFileBits()`
    `void` | `read(InputStream in)`
    `void` | `unpack()`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

      `decodeBandInt, decodeBandInt, getReferences, getReferences, parseCPClassReferences, parseCPDescriptorReferences, parseCPDoubleReferences, parseCPFieldRefReferences, parseCPFloatReferences, parseCPInterfaceMethodRefReferences, parseCPIntReferences, parseCPLongReferences, parseCPMethodRefReferences, parseCPSignatureReferences, parseCPSignatureReferences, parseCPStringReferences, parseCPUTF8References, parseCPUTF8References, parseFlags, parseFlags, parseFlags, parseFlags, parseReferences, parseReferences, unpack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileBands

          public FileBands(Segment segment)

      Parameters:
        `segment` - TODO

  - ### Method Detail

    - #### getFileBits

          public byte[][] getFileBits()

    - #### getFileModtime

          public int[] getFileModtime()

    - #### getFileName

          public String[] getFileName()

    - #### getFileOptions

          public int[] getFileOptions()

    - #### getFileSize

          public long[] getFileSize()

    - #### processFileBits

          public void processFileBits()
                               throws IOException,
                                      Pack200Exception

      Throws:
        `IOException`
        `Pack200Exception`

    - #### read

          public void read(InputStream in)
                    throws IOException,
                           Pack200Exception

      Specified by:
        `read` in class `BandSet`
      Throws:
        `IOException`
        `Pack200Exception`

    - #### unpack

          public void unpack()

      Specified by:
        `unpack` in class `BandSet`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.